%rotina que faz a poda de neurnios que nunca vencem
%parmetros: W - matriz de pesos - dimenso Nxneuronios
%            wins - vetor que contabiliza as vitrias (1xneuronios)
%            neuronios - nmero de neurnios no mapa
%            Index - matriz de vizinhana dos neurnios

function [W,wins,neuronios,Index] = insere(W,wins,neuronios,Index)

%nmero mximo de vitrias
max_wins = max(wins);
%porcentagem do nmero mximo de vitrias
alpha = 0.5; %controla a qtde de neurnios q  adicionada
te = 1;
%para todos os neurnios do mapa
while te <= neuronios
    %se o neurnio obteve o limiar de vitrias
    if wins(te) > 1 && wins(te) >= alpha*max_wins
        %adiciona coluna no vetor de vitrias
        wins = [wins(:,1:te) (wins(:,te)-1) wins(:,te+1:neuronios)];
        %adiciona coluna na matriz de pesos
        W = [W(:,1:te) (0.02*rand-0.01+W(:,te)) W(:,te+1:neuronios)];
        %aumentamos o nmero de neurnios
        neuronios = neuronios + 1;
        %aumentamos o ndice para pular o neurnio inserido agora
        te = te + 1;
        %ajuste da vizinhana
        Index(1,2)=neuronios; Index(neuronios-1,1)=neuronios; Index(neuronios,:)=[1 neuronios-1];
    end
    %prximo neurnio
    te = te + 1;
end