%rotina que faz a poda de neurnios que nunca vencem
%parmetros: W - matriz de pesos - dimenso Nxneuronios
%            wins - vetor que contabiliza as vitrias (1xneuronios)
%            neuronios - nmero de neurnios no mapa
%            Index - matriz de vizinhana dos neurnios

function [W,wins,neuronios,Index] = poda(W,wins,neuronios,Index)

%para todos os neurnios do mapa
te = neuronios;
while te >= 1
    %checa se o neurnio nunca venceu
    if(wins(te) == 0)
        W(:,te) = []; %mata coluna correspondente ao neurnio
        wins(:,te) = []; %elimina coluna correspondente ao neurnio
        neuronios = neuronios - 1; %reduz o nmero de neurnios no mapa
        %ajuste da vizinhana
        Index(1,2)=neuronios; Index(neuronios,1)=1; Index(neuronios+1,:)=[];
    end
    te = te - 1;
end